> For the complete documentation index, see [llms.txt](https://docs.encedo.com/hem-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations.md).

# Cryptography operations

- [HMAC](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/hmac.md): Those basic cryptography operations allow the calculation and verify HMAC messages.
- [ExDSA](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/exdsa.md): Those basic cryptography operations allow the calculation and verify ExDSA signatures. ECDSA and EdDSA are supported.
- [ECDH](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/ecdh.md): This basic cryptography operation allows the calculation of the ECDH between a trusted key or by an external public key.
- [Encryption](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/encryption.md)
- [Encryption/Decryption](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/encryption/encryption-decryption.md): These two endpoint implements the encryption and decryption of short data message using the AES scheme.
- [Wrap/Unwrap](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/encryption/wrap-unwrap.md): These two endpoint implements the NIST Key Wrapping scheme.
- [Post-Quantum Cryptography](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/post-quantum-cryptography.md): This section contains modern Post-Quantum Cryptography algorithms recently approved by the NIST.
- [ML-DSA](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/post-quantum-cryptography/ml-dsa.md): These two basic cryptography operations allow the calculation and verification of the ML-DSA signatures.
- [ML-KEM](https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/post-quantum-cryptography/ml-kem.md): This section describes two endpoints functional for key-encapsulation PQC operations - ML-KEM, FIPS 203 compliant.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
